summaryrefslogtreecommitdiff
path: root/examples/post-checkout
diff options
context:
space:
mode:
authorPrzemyslaw Pawelczyk <przemoc@gmail.com>2016-01-19 20:42:22 +0100
committerPrzemyslaw Pawelczyk <przemoc@gmail.com>2016-01-19 20:42:22 +0100
commitd119c8d1f5b18c6ee9c5efa90615427083875e00 (patch)
treed503ac20083e98e84e6a4cb33f021ce2d03621b0 /examples/post-checkout
parentd2924f4f2f606d36ac123162c079335ce275f742 (diff)
examples: Move hook scripts to their own subdirectory.
Diffstat (limited to 'examples/post-checkout')
-rw-r--r--examples/post-checkout24
1 files changed, 0 insertions, 24 deletions
diff --git a/examples/post-checkout b/examples/post-checkout
deleted file mode 100644
index bd4de15..0000000
--- a/examples/post-checkout
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to set metadata information using
-# metastore after each checkout.
-
-MSFILE=".metadata"
-
-exit_on_fail() {
- "$@"
- if [ $? -ne 0 ]; then
- echo "Failed to execute: $@" >&2
- exit 1
- fi
-}
-
-if [ ! -e "$MSFILE" ]; then
- echo "\"$MSFILE\" missing" >&2
- exit 1
-fi
-
-exit_on_fail \
- metastore -a -m -e -E -q -f "$MSFILE"
-
-exit 0